Skip to content

FileManagementService⁠

Upload or download files within Symitar.

Operations⁠

downloadLetterFile⁠

POST

Downloads a letter file.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

FileNamestringrequiredThe name of the file to be uploaded or downloaded
Path Parameters
symstringrequired
Sym number
DatanumberoptionalThe data to be uploaded or downloaded.
POST/nexum/{sym}/2022.01/filemanagement/downloadLetterFile
POST /nexum/627/2022.01/filemanagement/downloadLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

uploadLetterFile⁠

POST

Uploads a letter file.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

FileNamestringoptionalThe name of the file to be uploaded or downloaded
DatanumberoptionalThe data to be uploaded or downloaded.
noNewlinebooleanoptionalWhether to include newline characters in the file
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/filemanagement/uploadLetterFile
POST /nexum/627/2022.01/filemanagement/uploadLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "string",
  "Data": "string",
  "noNewline": false,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteLetterFile⁠

POST

Deletes a letter file.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

FileNamestringrequiredThe name of the file to be uploaded or downloaded
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/filemanagement/deleteLetterFile
POST /nexum/627/2022.01/filemanagement/deleteLetterFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

uploadDataFile⁠

POST

Uploads a data file.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

FileNamestringoptionalThe name of the file to be uploaded or downloaded
DatanumberoptionalThe data to be uploaded or downloaded.
noNewlinebooleanoptionalWhether to include newline characters in the file
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/filemanagement/uploadDataFile
POST /nexum/627/2022.01/filemanagement/uploadDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "string",
  "Data": "string",
  "noNewline": false,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

downloadDataFile⁠

POST

Downloads a data file.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

FileNamestringrequiredThe name of the file to be uploaded or downloaded
Path Parameters
symstringrequired
Sym number
DatanumberoptionalThe data to be uploaded or downloaded.
POST/nexum/{sym}/2022.01/filemanagement/downloadDataFile
POST /nexum/627/2022.01/filemanagement/downloadDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteDataFile⁠

POST

Deletes a data file.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

FileNamestringrequiredThe name of the file to be uploaded or downloaded
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/filemanagement/deleteDataFile
POST /nexum/627/2022.01/filemanagement/deleteDataFile HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "FileName": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}